#include "gwr-water-level.h"

struct _GwrWaterLevel {
  GtkWidget parent_instance;
};

G_DEFINE_TYPE(GwrWaterLevel, gwr_water_level, GTK_TYPE_WIDGET)

static gboolean
gwr_water_level_draw(GtkWidget *widget, cairo_t *cr)
{
  GtkStyleContext *context = gtk_widget_get_style_context(widget);
  gint width = gtk_widget_get_allocated_width(widget);
  gint height = gtk_widget_get_allocated_height(widget);
  GdkRGBA color;

  gtk_render_background(context, cr, 0, 0, width, height);
  gtk_render_frame(context, cr, 0, 0, width, height);

  cairo_arc(cr, width / 2.0, height / 2.0, MIN(width, height) / 2.0, 0, 2 * G_PI);
  gtk_style_context_get_color(context, gtk_style_context_get_state(context), &color);
  gdk_cairo_set_source_rgba(cr, &color);
  gdk_cairo_set_source_rgba(cr, &color);
  cairo_fill (cr);

  return FALSE;
}

static void
gwr_water_level_finalize(GObject *gobject)
{
  // Here, you free memory that is associated with your instance.
  //
  // References to other objects should be freed in dispose instead.

  G_OBJECT_CLASS(gwr_water_level_parent_class)->finalize(gobject);
}

static void
gwr_water_level_destroy(GtkWidget *widget)
{
  // Here you drop references to other objects.

  GTK_WIDGET_CLASS(gwr_water_level_parent_class)->destroy(widget);
}

static void
gwr_water_level_class_init(GwrWaterLevelClass *klass)
{
  GObjectClass *gobject_class = G_OBJECT_CLASS(klass);
  GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);

  gobject_class->finalize = gwr_water_level_finalize;
  widget_class->destroy = gwr_water_level_destroy;
  widget_class->draw = gwr_water_level_draw;
}

 static void
gwr_water_level_init(GwrWaterLevel *self)
{}
